Skip to main content
GET
/
v1
/
jobs
/
{jobID}
/
versions
/
{versionID}
Get a job version
curl --request GET \
  --url https://api.strait.dev/v1/jobs/{jobID}/versions/{versionID} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "endpoint_url": "<string>",
  "id": "<string>",
  "job_id": "<string>",
  "max_attempts": 123,
  "name": "<string>",
  "slug": "<string>",
  "timeout_secs": 123,
  "version": 123,
  "$schema": "<string>",
  "backwards_compatible": true,
  "cron": "<string>",
  "description": "<string>",
  "fallback_endpoint_url": "<string>",
  "image_uri": "<string>",
  "machine_preset": "<string>",
  "payload_schema": "<unknown>",
  "region": "<string>",
  "run_ttl_secs": 123,
  "tags": {},
  "version_id": "<string>",
  "webhook_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

jobID
string
required
versionID
string
required

Response

OK

created_at
string<date-time>
required
endpoint_url
string
required
id
string
required
job_id
string
required
max_attempts
integer<int64>
required
name
string
required
slug
string
required
timeout_secs
integer<int64>
required
version
integer<int64>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/JobVersion.json"

backwards_compatible
boolean
cron
string
description
string
fallback_endpoint_url
string
image_uri
string
machine_preset
string
payload_schema
any
region
string
run_ttl_secs
integer<int64>
tags
object
version_id
string
webhook_url
string